/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: PersistenceUnitRef.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IPersistenceUnitRef;

/**
 * Class representing persistence-unit-ref elements used in Java EE components.
 * @author danesa
 */
public class PersistenceUnitRef extends AbsResourceGroup implements IPersistenceUnitRef {
    /**
     * Name of this persistence-unit-ref.
     */
    private String unitRefName = "";

    /**
     * Name of the persistence-unit.
     */
    private String unitName = "";

    /**
     * Default constructor.
     */
    public PersistenceUnitRef() {
        super();
    }
    /**
     * @return name of this persistence-unit-ref
     */
    public String getPersistenceUnitRefName() {
        return unitRefName;
    }

    /**
     * Sets the name of this persistence-unit-ref.
     * @param persistenceUnitName name of this reference
     */
    public void setPersistenceUnitRefName(final String unitRefName) {
        this.unitRefName = unitRefName;
    }

    /**
     * @return name of the persistence-unit containing this reference
     */
    public String getPersistenceUnitName() {
        return unitName;
    }

    /**
     * Sets the name of the persistence-unit containing this reference.
     * @param persistenceUnitName name of the persistence unit
     */
    public void setPersistenceUnitName(final String unitName) {
        this.unitName = unitName;
    }
}
